Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.configuration
Interface AdminServerMBean

All Superinterfaces:
  ConfigurationMBean, weblogic.descriptor.DescriptorBean, DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.descriptor.SettableBean, weblogic.management.WebLogicMBean

Deprecated. 9.0.0.0

public interface AdminServerMBean
extends ConfigurationMBean

The MBean representing the Admininistration Server. The AdminServer MBean is a singleton for the Administration Server process that is administrating the running domain.

### Deprecation of MBeanHome and Type-Safe Interfaces

This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`DomainMBean` | `getActiveDomain()` Deprecated. 9.0.0.0
`String` | `getName()` Deprecated. AdminServer
`ServerMBean` | `getServer()` Deprecated. 9.0.0.0
`void` | `setName(String name)` Deprecated. Sets the value of the Name attribute.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getNotes, isSet, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled, unSet`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Method Detail

### getActiveDomain

    public DomainMBean getActiveDomain()

  Deprecated. 9.0.0.0

  Returns the DomainMBean for the domain that this Administration Server manages.

  Returns:
    The Domain MBean for the running domain.
  See Also:
    `DomainMBean`

### getName

    public String getName()

  Deprecated.

  AdminServer

  Specified by:
    `getName` in interface `ConfigurationMBean`
  Default value:
    "Admin Server"

### getServer

    public ServerMBean getServer()

  Deprecated. 9.0.0.0

  Returns the Administration Server's ServerMBean.

  Returns:
    The ServerMBean that defines the configuration for the Administration Server
  See Also:
    `ServerMBean`

### setName

    public void setName(String name)
                 throws InvalidAttributeValueException,
                        weblogic.management.ManagementException

  Deprecated.

  Sets the value of the Name attribute.

  Specified by:
    `setName` in interface `ConfigurationMBean`
  Throws:
    `InvalidAttributeValueException`
    `weblogic.management.ManagementException`
  Legal null:
    false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD